DtTermSubprocReap(library call)

NAME
DtTermSubprocReap — allow a DtTerm widget to clean up after subprocess termination

SYNOPSIS

#include &<Dt/Term.h>
void DtTermSubprocReap(
pid_t pid,
int *stat_loc);

DESCRIPTION

The DtTermSubprocReap function allows DtTerm widgets to function correctly in applications that have installed a SIGCHLD signal handler.

The pid argument specifies the process ID of the child process wait(2) returns.

The stat_loc argument specifies the termination information wait(2) returns.

RETURN VALUES

The DtTermSubprocReap function returns no value.

APPLICATION USAGE

The DtTermSubprocReap function allows an application to install its own SIGCHLD signal handler.

The application must install its own SIGCHILD signal handler and call DtTermSubprocReap if the DtTerm widget was created with the DtSubprocessTerminatorCatch resource set to False.

The application must call the DtTermSubprocReap function after performing a wait(2) (or associated function) on a terminated child process. If the child process is associated with a DtTerm widget, the widget's data structures are cleaned up and the associated callbacks invoked.

SEE ALSO

Dt/Term.h - DtTerm(5), DtTerm(3), signal(5), wait(2).